summaryrefslogtreecommitdiffstats
path: root/integration-tests/openecomp-be-config/ready-probe.sh
diff options
context:
space:
mode:
authorrohit.raj@t-systems.com <rohit.raj@t-systems.com>2025-01-22 20:40:10 +0100
committerrohit.raj@t-systems.com <rohit.raj@t-systems.com>2025-01-22 20:40:23 +0100
commit110909a23b78884a58710d4d304ab51ef1233095 (patch)
tree4cb2df350238a9504cd8c193d6e2f92e14ba5164 /integration-tests/openecomp-be-config/ready-probe.sh
parent7529a63846644ae84d33b8c0588f24fb258f27d5 (diff)
Chef removal changes for openecomp-be1.13.9
- Removal of Chef recipes in the module. - Introduction of shell scripts in the module to replace some recipes. - Generation of module configuration using Charts. - Introduction of config files in integration tests to simulate files generated by Charts in the module. Issue-ID: SDC-4698 Change-Id: I9bb68309d49899247a9cebe4142a568f5ee597f2 Signed-off-by: rohit.raj@t-systems.com <rohit.raj@t-systems.com>
Diffstat (limited to 'integration-tests/openecomp-be-config/ready-probe.sh')
-rw-r--r--integration-tests/openecomp-be-config/ready-probe.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/integration-tests/openecomp-be-config/ready-probe.sh b/integration-tests/openecomp-be-config/ready-probe.sh
new file mode 100644
index 0000000000..ad97abf27b
--- /dev/null
+++ b/integration-tests/openecomp-be-config/ready-probe.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+health_check_http_code=$(curl -k --max-time 5 -o /dev/null -w '%{http_code}' -X GET --header "Accept: application/json" "http://127.0.0.1:8081/onboarding-api/v1.0/healthcheck")
+if [ "$health_check_http_code" -eq 200 ]; then
+ exit 0
+else
+ echo "Health check http status: $health_check_http_code"
+ exit 1
+fi
+